<?php
include_once(getabspath("include/usuario_settings.php"));

function DisplayMasterTableInfo_usuario($params)
{
	$detailtable=$params["detailtable"];
	$keys=$params["keys"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	
	$oldTableName=$strTableName;
	$strTableName="usuario";

//$strSQL = "SELECT idusuario,   nick,   nombres,   contrasena,   activo  FROM usuario ";

	$cipherer = new RunnerCipherer($strTableName);
	$settings = new ProjectSettings($strTableName, PAGE_PRINT);
	
	$masterQuery = $settings->getSQLQuery();
	$viewControls = new ViewControlsContainer($settings, PAGE_PRINT);

$where="";

global $pageObject, $page_styles, $page_layouts, $page_layout_names, $container_styles;
$layout = new TLayout("masterprint","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterprintheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterprintfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["usuario_masterprint"] = $layout;


$showKeys = "";
if($detailtable=="movimiento_caja")
{
		$where.= GetFullFieldName("idusuario", "", false)."=".$cipherer->MakeDBValue("idusuario",$keys[1-1], "", "", true);
	$showKeys .= " "."Idusuario".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
	
}
if(!$where)
{
	$strTableName=$oldTableName;
	return;
}
	$str = SecuritySQL("Export");
	if(strlen($str))
		$where.=" and ".$str;
	
	$strWhere = whereAdd($masterQuery->m_where->toSql($masterQuery),$where);
	if(strlen($strWhere))
		$strWhere=" where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL=AddWhere($strSQL,$where);

	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName=$oldTableName;
		return;
	}
	$keylink="";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idusuario"]));
	

//	idusuario - 
			$xt->assign("idusuario_mastervalue", $viewControls->showDBValue("idusuario", $data, $keylink));

//	nick - 
			$xt->assign("nick_mastervalue", $viewControls->showDBValue("nick", $data, $keylink));

//	nombres - 
			$xt->assign("nombres_mastervalue", $viewControls->showDBValue("nombres", $data, $keylink));

//	contrasena - 
			$xt->assign("contrasena_mastervalue", $viewControls->showDBValue("contrasena", $data, $keylink));

//	activo - 
			$xt->assign("activo_mastervalue", $viewControls->showDBValue("activo", $data, $keylink));
	$xt->display("usuario_masterprint.htm");
	$strTableName=$oldTableName;

}

?>